<template>
  <button
    @click="triggerInstance(name)"
    :class="['header-leaderboard-button', isActive ? 'button-active' : '']"
  >
    <div class="header-leaderboard-button-info">
      <div class="header-leaderboard-info-left">
        <img :src="img(image)" loading="lazy" class="header-leaderboard-img" />
        <span>{{ capitalizeFirstLetter(title) }}</span>
      </div>
      <img
        v-if="isActive"
        src="@/assets/images/check.svg"
        loading="lazy"
        class="header-check-img"
      />
    </div>
  </button>
</template>

<script lang="ts" setup>
import { img } from '@/utils/image'
const emit = defineEmits<{ (e: 'trigger', value: string): void }>()
defineProps({
  image: {
    type: String,
    default: ''
  },
  name: {
    type: String,
    default: ''
  },
  title: {
    type: String,
    default: ''
  },
  isActive: {
    type: Boolean,
    default: false
  }
})
function capitalizeFirstLetter(string: string) {
  return string.charAt(0).toUpperCase() + string.slice(1)
}
function triggerInstance(value: string) {
  emit('trigger', value)
}
</script>

<style scoped lang="scss">
.header-leaderboard {
  border-top: none;
  padding-left: 2rem;
  padding-right: 2rem;
  background-color: var(--blue-pale);
}
.header-leaderboard-button {
  padding-right: 2rem;
  padding-left: 2rem;
  width: 26rem;
  height: 6rem;
  display: flex;
  align-items: center;
  background-color: transparent;
  border: none;
  cursor: pointer;
  border-radius: 1rem;
  margin-bottom: 1rem;
}
.header-leaderboard-button-info {
  display: flex;
  align-items: center;
  justify-content: space-between;
  font-size: 1.6rem;
  width: 100%;
}
.header-leaderboard-info-left {
  display: flex;
  align-items: center;
}
.header-check-img {
  height: 2rem;
}
.header-leaderboard-button:first-child {
  margin-top: 2rem;
}
.header-leaderboard-button:first-child {
  .header-leaderboard-img {
    width: initial;
    height: 2.5rem;
  }
}
.header-leaderboard-img {
  height: 4rem;
  margin-right: 1rem;
  border-radius: 0.3rem;
}
.button-active {
  color: var(--blue);
  background-color: var(--blue-semi);
}
@media (max-width: 768px) {
  .header-leaderboard-button {
    width: 100%;
    padding: 1rem;
    height: 5rem;
    text-align: initial;
    margin-bottom: 0;
  }
  .header-leaderboard-button-info {
    font-size: 1.2rem;
  }
  .header-leaderboard-button:last-child {
    .header-leaderboard-img {
      margin-right: 0;
    }
  }
  .header-leaderboard-button:first-child {
    margin-top: 0;
  }
  .header-check-img {
    margin-left: 0.5rem;
  }
  .header-leaderboard-img {
    width: initial;
    height: 4rem;
  }
}
</style>
